Permalink
Browse files

Bump wukong-hadoop to 0.2.0, fix deprecation warnings

Change-Id: I61161789c66aa92ddd57674a97affa354964aef3
  • Loading branch information...
1 parent 33a9c69 commit c069fbfe079b3451cf6781102b4f4f731a0a20fe David Snyder committed Mar 19, 2014
Showing with 4 additions and 4 deletions.
  1. +1 −1 lib/wonderdog/version.rb
  2. +1 −1 spec/spec_helper.rb
  3. +1 −1 spec/wonderdog/hadoop_invocation_override_spec.rb
  4. +1 −1 wonderdog.gemspec
View
@@ -1,3 +1,3 @@
module Wonderdog
- VERSION = '0.1.1'
+ VERSION = '0.2.0'
end
View
@@ -21,7 +21,7 @@ def root
def hadoop_runner *args, &block
runner(Wukong::Hadoop::HadoopRunner, 'wu-hadoop', *args) do
- stub!(:execute_command!)
+ stub(:execute_command!)
instance_eval(&block) if block_given?
end
end
@@ -8,7 +8,7 @@
let(:es_complex) { hadoop_runner('regexp', 'count', input: 'es://the_index/the_map', output: 'es:///the_index/the_map', es_query: '{"hi": "there"}', es_request_size: 1000, es_index_field: 'ID', map_speculative: true, reduce_speculative: true) }
context "passing necessary jars to Hadoop streaming" do
- before { Dir.stub!(:[]).and_return(["/lib/dir/elasticsearch.jar"], ["/lib/dir/wonderdog.jar"]) }
+ before { Dir.stub(:[]).and_return(["/lib/dir/elasticsearch.jar"], ["/lib/dir/wonderdog.jar"]) }
context "when not given explicit jars" do
context "and not interacting with Elasticsearch" do
it "doesn't add jars" do
View
@@ -28,5 +28,5 @@ EOF
gem.test_files = gem.files.grep(/^spec/)
gem.require_paths = ['lib']
- gem.add_dependency('wukong-hadoop', '0.1.1')
+ gem.add_dependency('wukong-hadoop', '0.2.0')
end

0 comments on commit c069fbf

Please sign in to comment.